#ifndef MAINFRAME_PART_WIDGET_H
#define MAINFRAME_PART_WIDGET_H

#include <QtGui>
#include "ui_mainframePartWidget.h"
#include "softProj\clientServer\structs.h"
#include "softProj\settings.h"

class MainframePartWidget : public QWidget {
	Q_OBJECT

private:
	Ui::MainframePartWidget ui_;
public:
	MainframePartWidget(QWidget * parent) : QWidget(parent) {
		ui_.setupUi(this);
	}

	void setName(const std::wstring & name) {
		ui_.nameButton->setText(QString::fromUtf16(name.c_str()));
	} /**< Sets title name of Mainframe. */

	void setDescription(const std::wstring & name) {
		ui_.descriptionLabel->setText(QString::fromUtf16(name.c_str()));
	} /**< Sets description text of Mainframe. */

	void setCount(unsigned long value) {
		ui_.countValue->setText(Settings::instance().formatNumber(value));
	} //TODO, FIXME, COMMENTME
};

#endif